classification
Title: Update link to Tcl/Tk 8.6 man pages in tkinter.rst
Type: enhancement Stage: resolved
Components: Documentation, Tkinter Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, miss-islington, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2018-04-14 20:12 by adelfino, last changed 2018-04-26 14:10 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6473 merged adelfino, 2018-04-14 20:13
PR 6600 merged miss-islington, 2018-04-25 17:56
PR 6602 merged adelfino, 2018-04-25 18:29
PR 6603 closed adelfino, 2018-04-25 18:40
PR 6607 merged adelfino, 2018-04-25 21:00
Messages (11)
msg315303 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-14 20:12
There are two links to the Tcl/Tk documentation on tkinter.rst. One of them points to 8.5 man pages.
msg315325 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-15 15:40
I suggest to just remove the version suffix "8.6".
msg315329 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-15 15:54
Replaces msg315327:

IMHO, it's important to provide the link of the specific version of Tcl/Tk that Python actually uses. Otherwise, when 8.7 users might read the wrong documentation.

Perhaps I didn't get your comment?
msg315332 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-15 16:45
Different builds of Python can use different versions of Tcl/Tk (as well as other external libraries). Tkinter supports features added in versions newer than minimal.
msg315335 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-15 16:55
Perhaps a comment in the lines of:

---
You can find the relevant Tk man pages by checking what version is installed in your system:

python -c "import tkinter; print(tkinter.TkVersion)"
---

at the top of the page, and then removing all version suffixes as you suggested?
msg315623 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-22 17:30
I have updated the PR:

* Now we mention that python -m tkinter shows the installed Tcl/Tk version so users can read the right man pages.

* Only mention the link to documentation page (sadly, there doesn't seem to exist an "Archived man pages", and mentioning 8.5/8.4 man pages doesn't seem right).

* I have merged the two "See also" sections of the page, separating Tkinter-specific documentation from Tcl/Tk general documentation.
msg315750 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-25 17:54
New changeset 67a8f4fed3169e1b8c947c10f6e06863e399ae32 by Serhiy Storchaka (Andrés Delfino) in branch 'master':
bpo-33280: Reorganize external Tcl/Tk references. (GH-6473)
https://github.com/python/cpython/commit/67a8f4fed3169e1b8c947c10f6e06863e399ae32
msg315755 - (view) Author: miss-islington (miss-islington) Date: 2018-04-25 18:31
New changeset 53d36cc961ff2080fa91a216cce718295259d723 by Miss Islington (bot) in branch '3.7':
bpo-33280: Reorganize external Tcl/Tk references. (GH-6473)
https://github.com/python/cpython/commit/53d36cc961ff2080fa91a216cce718295259d723
msg315796 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-26 13:50
New changeset 1c6c8510f91fcd9d46a8ce9155d8c2689d7df92b by Serhiy Storchaka (Andrés Delfino) in branch '2.7':
[2.7] bpo-33280: Reorganize external Tcl/Tk references. (GH-6473). (GH-6607)
https://github.com/python/cpython/commit/1c6c8510f91fcd9d46a8ce9155d8c2689d7df92b
msg315799 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-04-26 14:09
There's still an open PR to backport this to 3.6:

https://github.com/python/cpython/pull/6602
msg315800 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-04-26 14:10
New changeset 4533494ac553273239c809053b54c0ab783a0c78 by Serhiy Storchaka (Andrés Delfino) in branch '3.6':
[3.6] bpo-33280: Reorganize external Tcl/Tk references. (GH-6473). (#6602)
https://github.com/python/cpython/commit/4533494ac553273239c809053b54c0ab783a0c78
History
Date User Action Args
2018-04-26 14:10:13serhiy.storchakasetmessages: + msg315800
2018-04-26 14:09:44adelfinosetmessages: + msg315799
2018-04-26 14:06:28serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-04-26 13:50:17serhiy.storchakasetmessages: + msg315796
2018-04-25 21:00:12adelfinosetpull_requests: + pull_request6303
2018-04-25 18:40:00adelfinosetpull_requests: + pull_request6299
2018-04-25 18:31:00miss-islingtonsetnosy: + miss-islington
messages: + msg315755
2018-04-25 18:29:07adelfinosetpull_requests: + pull_request6297
2018-04-25 17:56:37miss-islingtonsetpull_requests: + pull_request6295
2018-04-25 17:54:00serhiy.storchakasetmessages: + msg315750
2018-04-22 17:30:40adelfinosetmessages: + msg315623
2018-04-15 19:07:35terry.reedysetmessages: - msg315327
2018-04-15 16:55:12adelfinosetmessages: + msg315335
2018-04-15 16:45:14serhiy.storchakasetmessages: + msg315332
2018-04-15 15:54:21adelfinosetmessages: + msg315329
2018-04-15 15:49:58adelfinosetmessages: + msg315327
2018-04-15 15:41:12serhiy.storchakasetcomponents: + Tkinter
2018-04-15 15:40:37serhiy.storchakasetnosy: + serhiy.storchaka, terry.reedy

messages: + msg315325
versions: + Python 2.7, Python 3.6, Python 3.7
2018-04-14 20:13:57adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6172
2018-04-14 20:12:42adelfinocreate